Subject: Re: _ctype_ could not be located in cygwin1.dll
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 6 Feb 2001 19:14:34 -0500

I don't know if you saw my previous message but the solution is
pretty simple.  Your cygcheck shows clearly that you have two
versions of cygwin1.dll on your system.  That is always the
reason for this error.

Just delete the older one.

cgf

On Tue, Feb 06, 2001 at 04:05:41PM -0800, Van Tassel, Bob wrote:
>$ env | grep SHE
>SHELL=/bin/sh
>
>administrator@EG_KEVINFDT ~/sw
>$ gcc tele.cc
>
>administrator@EG_KEVINFDT ~/sw
>$ gcc -v tele.cc
>Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2-6/specs
>gcc version 2.95.2-6 19991024 (cygwin experimental)
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2-6/cpp.exe -lang-c++ -v -D__GNUC__=2
>-D__
>GNUG__=2 -D__GNUC_MINOR__=95 -D__cplusplus -Di386 -D__386__ -D__i386
>-D_X86=1 -D
>__STDC__=1 -D__stdcall=__attribute__((__stdcall__))
>-D__cdecl=__attribute__((__c
>decl__)) -D__declspec(x)=__attribute__((x)) -D__i386__ -D__386__ -D__i386
>-D_X86
>=1 -D__STDC__=1 -D__stdcall=__attribute__((__stdcall__))
>-D__cdecl=__attribute__
>((__cdecl__)) -D__declspec(x)=__attribute__((x)) -D__i386 -Asystem(winnt)
>-Acpu(
>i386) -Amachine(i386) -D__EXCEPTIONS -remap -Acpu(i386) -Amachine(i386)
>-Di386 -
>D__i386 -D__i386__ -Di686 -Dpentiumpro -D__i686 -D__i686__ -D__pentiumpro
>-D__pe
>ntiumpro__ -D__CYGWIN32__ -D__CYGWIN__ -Dunix -D__unix__ -D__unix -isystem
>/usr/
>local/include -idirafter /usr/include -D_WIN32 -DWINNT -idirafter
>/usr/include/w
>32api tele.cc /cygdrive/c/TEMP/ccraKvg3.ii
>
>-----Original Message-----
>From: Earnie Boyd [mailto:[email-masked]]
>Sent: Tuesday, February 06, 2001 3:40 PM
>To: Van Tassel, Bob
>Cc: 'Earnie Boyd'
>Subject: Re: _ctype_ could not be located in cygwin1.dll
>
>
>"Van Tassel, Bob" wrote:
>> 
>> $ gcc -v
>> Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2-6/specs
>> gcc version 2.95.2-6 19991024 (cygwin experimental)
>> 
>> cygcheck -s -r -v
>> 
>> Cygnus Win95/NT Configuration Diagnostics
>> Current System Time: Tue Feb  6 15:17:38 2001
>> 
>> WinNT Ver 4.0 build 1381 Service Pack 6
>> 
>-8<-
>> SHELL = `C:/mks/mksnt/sh.exe'
>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>This should read: SHELL = /bin/sh
>
>Do you have this set in your environment before starting Cygwin?  I
>suggest changing this variable in your ~/.bashrc or ~/.bash_profile
>file.
>
>However, I don't think this should give the _ctype_ error.  Hmm... If
>you still have a problem after modifying the SHELL variable to the
>correct value give us the output of gcc when compiling your program and
>add a -v switch to it.
>
>Earnie.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple